import LangFormat from './default';

export const lang: LangFormat = {
  details: {
    langCode: 'en',
    langName: 'English',
  },
  appName: 'Party App',
  navigation: {
    home: {
      profile: {
        tabName: 'Profile',
        overview: 'My profile',
        settings: 'Profile Settings',
        updateUsername: 'Change username',
        updatePassword: 'Change password',
        help: 'Help',
        about: 'About',
      },
      calendar: {
        tabName: 'Calendar',
        overview: 'Upcomming events',
      },
      map: {
        tabName: 'Map',
        overview: 'Map',
      },
      chats: {
        tabName: 'Chats',
        overview: 'Chats',
      },
    },
  },
  info: 'Info',
  error: 'Error',
  success: 'Success',
  registration: {
    buttonLogin: 'Login',
    buttonSignUp: 'Sign up',
    buttonNext: 'Next',
    dividerText: 'or',
    thirdAuthButton: {
      google: 'Sign in with Google',
      apple: 'Sign in with Apple',
    },
    previewLogin: {
      title: 'Time to get to know the next a party',
      dontHaveAccount: "Don't have an account?",
    },
    previewSignup: {
      title: 'Find the next party near you',
      agreeToTerms: 'By signing up, you agree to our',
      agreeToTermsAnd: 'and',
      alreadyHaveAccount: 'Already have an account?',
      terms: 'Terms',
      privacyPolicy: 'Privacy Policy',
      cookieUse: 'Cookie Use',
    },
    login: {
      title: 'Welcome back!',
      inputPhoneNumberOrAccountName: 'ACCOUNT NAME',
      inputPassword: 'PASSWORD',
    },
    signUpStepUsername: {
      title: "Let's get started, what's your name?",
      description: 'The name will be displayed on your profil overview',
      inputUsername: 'Username',
    },
    signUpStepPhoneNumber: {
      title: 'Create your account using your phone number',
      inputPhoneNumber: 'PHONE NUMBER',
    },
    signUpStepVerifyPhoneNumber: {
      title: 'We sent you a code',
      description: 'Enter the 6-digit code we sent to',
      clickableTextResendCode: 'Resend code',
    },
    signUpStepPassword: {
      title: "You'll need a password",
      description: 'Make sure it’s 8 characters or more.',
      inputPassword: 'PASSWORD',
    },
    signUpStepAccountName: {
      title: 'Next, create your account name',
      description:
        'Your account name is unique and is used for friends to find you.',
      inputAccountName: 'ACCOUNT NAME',
      buttonGetStarted: 'Get Started',
    },
  },
  profile: {
    overview: {
      statistics: {
        followers: 'FOLLOWER',
        following: 'FOLLOWING',
        visited: 'VISITED',
      },
    },
    settings: {
      overview: {
        accountData: {
          title: 'ACCOUNT DATA',
          accountName: 'ACCOUNT NAME',
          username: 'USERNAME',
          phoneNumber: 'PHONE NUMBER',
        },
        changePassword: {
          title: 'PASSWORD',
          password: 'PASSWORD',
          tapToChange: 'Tap to change',
        },
        moreInfo: {
          title: 'MORE INFO',
          help: 'Help',
          about: 'About',
          logout: 'Logout',
        },
      },
      changeUsername: {
        username: 'USERNAME',
        info: 'You can use a-z, 0-9 and underscores.',
        info2: 'Minimum length is 3 characters.',
      },
      changePassword: {
        currentPassword: 'CURRENT PASSWORD',
        newPassword: 'NEW PASSWORD',
        repeatNewPassword: 'REPEAT NEW PASSWORD',
        info: 'Make sure it’s 8 characters or more.',
        info2: 'You will be logged out after changing your password.',
      },
      help: {
        reportAProblem: 'Report a problem',
        helpCenter: 'Help center',
      },
      about: {
        aboutYourAccount: 'About your account',
        privacyPolicy: 'Privacy Policy',
        termsOfService: 'Terms of Service',
        openSourceLibraries: 'Open source libraries',
      },
    },
  },
};
